Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695371 (golang-github-masterminds-semver-1) - Review Request: golang-github-masterminds-semver-1 - Work with semantic versions in go
Summary: Review Request: golang-github-masterminds-semver-1 - Work with semantic versi...
Keywords:
Status: CLOSED ERRATA
Alias: golang-github-masterminds-semver-1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 23:48 UTC by Robert-André Mauchin
Modified: 2019-04-13 15:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:03:24 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-04-02 23:48:12 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-github-masterminds-semver-1.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-github-masterminds-semver-1-1.4.2-1.fc31.src.rpm

Description:
 Work with semantic versions in go.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2019-04-02 23:54:47 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33899575

Comment 2 Jared Smith 2019-04-03 00:43:06 UTC
The "fedora-review" tool appears to be broken again, so I'm reviewing this package by hand.

This package follow the Fedora Packaging Guidelines, is under an acceptable open source license, and builds cleanly.  It is APPROVED.

Comment 3 Robert-André Mauchin 2019-04-03 00:55:47 UTC
Thank you so much! I owe you one!

Comment 4 Miro Hrončok 2019-04-03 07:44:12 UTC
> The "fedora-review" tool appears to be broken again

Could you please report any problems to https://pagure.io/FedoraReview/issues ?

Comment 5 Miro Hrončok 2019-04-03 07:58:48 UTC
The automated FedoraReview output **not checked** just for reference:


This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 13 files have unknown
     license. Detailed output of licensecheck in
     /home/churchyard/rpmbuild/FedoraReview/1695371-golang-github-
     masterminds-semver-1/licensecheck.txt
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode,
     /usr/share/gocode/src
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-github-git-lfs-devel, golang-
     github-spacemonkeygo-flagfile-devel, golang-github-aead-
     chacha20-devel, golang-github-hashicorp-raft-mdb-devel, golang-github-
     chrismalek-oktasdk-go-devel, golang-github-cpu-goacmedns-devel,
     golang-github-akrennmair-gopcap-devel, golang-github-mitchellh-
     copystructure-devel, golang-github-ryanuber-go-glob-devel, golang-
     github-msteinert-pam-devel, golang-github-gonum-lapack-devel, golang-
     github-shurcool-goon-devel, golang-github-kolo-xmlrpc-devel, golang-
     github-mock-devel, golang-github-alecthomas-assert-devel, golang-
     github-beorn7-perks-devel, golang-github-gorilla-handlers-devel,
     golang-github-rcrowley-go-metrics-devel, golang-github-mdlayher-raw-
     devel, golang-github-shurcool-githubql-devel, golang-github-xdg-
     stringprep-devel, golang-github-shurcool-notifications-devel, golang-
     github-jackpal-gateway-devel, golang-github-codahale-aesnicheck-devel,
     golang-github-billziss-gh-cgofuse-devel, golang-github-garyburd-
     redigo-devel, golang-github-jawher-mow-cli-devel, golang-github-
     rainycape-unidecode-devel, golang-github-lsegal-gucumber-devel,
     golang-github-coreos-go-etcd-devel, golang-github-bradfitz-iter-devel,
     golang-github-azure-autorest-devel, golang-github-rainycape-memcache-
     devel, golang-github-axgle-mahonia-devel, golang-github-shurcool-
     highlight-devel, golang-github-hashicorp-hcl-devel, golang-github-
     docker-spdystream-devel, golang-github-coreos-go-systemd-devel,
     golang-github-docker-libtrust-devel, golang-github-hashicorp-raft-
     boltdb-devel, golang-github-bgentry-speakeasy-devel, golang-github-
     hashicorp-golang-lru-devel, golang-github-shurcool-httperror-devel,
     golang-github-docker-go-devel, golang-github-restic-chunker-devel,
     golang-github-gonum-graph-devel, golang-github-influxdb-rocksdb-devel,
     golang-github-matryer-try-devel, golang-github-lucasb-eyer-colorful-
     devel, golang-github-sanity-io-litter-devel, golang-googlecode-
     gogoprotobuf-devel, golang-github-shurcool-users-devel, golang-github-
     gregjones-httpcache-devel, golang-github-russross-
     blackfriday-v2-devel, golang-github-Shopify-toxiproxy-devel, golang-
     github-macaron-gzip-devel, golang-github-shurcool-events-devel,
     golang-github-shurcool-httpgzip-devel, golang-github-fsnotify-
     fsnotify-devel, golang-github-linuxdeepin-dbus-factory-devel, golang-
     github-kisielk-gotool-devel, golang-github-mreiferson-go-httpclient-
     devel, golang-github-hashicorp-errwrap-devel, golang-github-fatih-set-
     devel, golang-github-mitchellh-cli-devel, golang-github-vividcortex-
     ewma-devel, golang-github-petar-GoLLRB-devel, golang-github-
     skratchdot-open-golang-devel, golang-github-sdboyer-constext-devel,
     golang-github-mitchellh-reflectwalk-devel, golang-github-cheekybits-
     is-devel, golang-github-unknwon-goconfig-devel, golang-github-
     mail-v2-devel, golang-github-emirpasic-gods-devel, golang-github-
     gonum-floats-devel, golang-github-olekukonko-tablewriter-devel,
     golang-github-AdRoll-goamz-devel, golang-github-bep-tocss-devel,
     golang-github-shurcool-component-devel, golang-github-vbatts-tar-
     split-devel, golang-github-cockroachdb-cockroach-go-devel, golang-
     github-linode-linodego-devel, golang-github-pebbe-zmq4-devel, golang-
     github-jellevandenhooff-dkim-devel, golang-github-cenkalti-backoff-
     devel, golang-github-kr-text-devel, golang-github-yuin-gopher-lua-
     devel, mongo-tools-devel, golang-github-ttacon-chalk-devel, golang-
     github-gobwas-glob-devel, golang-github-evanphx-json-patch-devel,
     golang-github-teris-io-shortid-devel, golang-github-wellington-
     libsass-devel, golang-github-euank-kmsg-parser-devel, golang-github-
     kr-pty-devel, golang-github-macaron-v1-devel, golang-github-
     cockroachdb-cmux-devel, golang-github-10gen-escaper-devel, golang-
     github-burntsushi-locker-devel, golang-github-gdamore-tcell-devel,
     golang-github-hashicorp-go-multierror-devel, golang-github-
     AudriusButkevicius-cli-devel, golang-github-data-dog-txdb-devel,
     golang-github-d4l3k-messagediff-devel, golang-github-xorm-builder-
     devel, golang-github-ema-qdisc-devel, golang-github-ncw-dropbox-sdk-
     unofficial-devel, golang-github-mitchellh-go-wordwrap-devel, golang-
     github-chzyer-logex-devel, golang-github-boombuler-barcode-devel,
     golang-github-unknwon-com-devel, golang-github-koofr-httpclient-devel,
     golang-github-mdlayher-wifi-devel, golang-github-olekukonko-ts-devel,
     golang-github-prometheus-client_golang-devel, golang-github-shurcool-
     notificationsapp-devel, golang-github-ryanuber-columnize-devel,
     golang-github-hpcloud-tail-devel, golang-github-timewasted-linode-
     devel, golang-github-xlab-handysort-devel, golang-github-alecthomas-
     kong-devel, golang-github-globalsign-mgo-devel, golang-github-
     influxdb-go-cache-devel, golang-github-openzipkin-zipkin-devel,
     golang-github-getsentry-raven-go-devel, golang-github-nwaples-
     rardecode-devel, golang-github-benbjohnson-clock-devel, golang-github-
     kevinburke-ssh-config-devel, golang-github-pkg-xattr-devel, golang-
     github-google-gofuzz-devel, golang-github-jedisct1-minisign-devel,
     golang-github-pmezard-go-difflib-devel, godoctor-golang-github-
     godoctor-devel, golang-github-opencontainers-runtime-spec-devel,
     golang-github-marstr-randname-devel, golang-github-dgryski-bitstream-
     devel, golang-github-calmh-xdr-devel, golang-github-shurcool-
     gofontwoff-devel, golang-github-markbates-inflect-devel, golang-
     github-gliderlabs-ssh-devel, golang-github-shurcool-octiconssvg-devel,
     golang-github-aws-aws-sdk-go-devel, golang-github-coreos-go-iptables-
     devel, golang-github-facebookgo-pidfile-devel, golang-github-goftp-
     server-devel, golang-github-jmank88-nuts-devel, golang-github-
     cheggaaa-pb-devel, golang-github-jedisct1-clocksmith-devel, golang-
     github-minio-devel, golang-github-BurntSushi-xgbutil-devel, golang-
     github-hashicorp-go-uuid-devel, golang-github-patrickmn-go-cache-
     devel, golang-github-eapache-queue-devel, golang-github-git-lfs-
     wildmatch-devel, golang-github-jacobsa-oglematchers-devel, golang-
     github-cpuguy83-go-md2man-devel, golang-github-anacrolix-tagflag-
     devel, golang-github-dnaeon-vcr-devel, golang-github-docker-go-units-
     devel, golang-github-nwidger-jsoncolor-devel, golang-github-
     cloudflare-devel, golang-github-prometheus-common-devel, golang-
     github-imdario-mergo-devel, golang-github-marstr-guid-devel, golang-
     github-armon-gomdb-devel, golang-github-pkg-profile-devel, golang-
     github-oschwald-geoip2-golang-devel, golang-github-elazarl-go-bindata-
     assetfs-devel, golang-github-pquerna-cachecontrol-devel, golang-
     github-mattn-tty-devel, golang-github-pierrec-lz4-devel, golang-
     github-inconshreveable-log15-devel, golang-github-soundcloud-runit-
     devel, golang-github-dropbox-sdk-unofficial-devel, golang-github-DATA-
     DOG-go-sqlmock-devel, golang-github-namedotcom-devel, golang-github-
     pkg-term-devel, golang-github-urfave-cli-devel, golang-github-
     hashicorp-raft-devel, golang-github-sourcegraph-syntaxhighlight-devel,
     golang-github-robertkrimen-otto-devel, golang-github-shurcool-graphql-
     devel, golang-github-go-tomb-tomb-devel-v2, golang-github-
     thomsonreuterseikon-ntlm-devel, golang-github-gorilla-context-devel,
     golang-github-disintegration-imaging-devel, golang-github-aclements-
     gg-devel, golang-github-jlaffaye-ftp-devel, golang-github-Sirupsen-
     logrus-devel, golang-github-jfrazelle-go-devel, golang-github-
     roaringbitmap-roaring-devel, golang-github-zyedidia-glob-devel,
     golang-github-bradfitz-gomemcache-devel, golang-github-docker-go-
     connections-devel, golang-github-peterbourgon-diskv-devel, golang-
     github-zyedidia-poller-devel, golang-github-coreos-gexpect-devel,
     golang-github-flynn-json5-devel, golang-github-hashicorp-version-
     devel, golang, golang-github-zyedidia-tcell-devel, golang-github-
     gofrs-flock-devel, golang-github-Masterminds-vcs-devel, golang-github-
     gohugoio-hugo-devel, golang-github-mholt-archiver-devel, golang-
     github-onsi-ginkgo-devel, golang-github-jmespath-go-jmespath-devel,
     golang-github-SAP-go-hdb-devel, golang-github-gopherjs-devel, golang-
     github-ncw-swift-devel, golang-github-jamesclonk-vultr-devel, golang-
     github-data-dog-godog-devel, golang-github-daviddengcn-go-colortext-
     devel, golang-github-syncthing-notify-devel, golang-github-azure-
     pipeline-devel, golang-github-jonboulle-clockwork-devel, golang-
     github-bitly-simplejson-devel, golang-github-kballard-go-shellquote-
     devel, golang-github-marstr-goalias-devel, golang-github-jinzhu-gorm-
     devel, golang-github-appc-spec-devel, golang-github-blang-semver-
     devel, golang-github-jfrogdev-gofrog-devel, golang-github-pkg-sftp-
     devel, golang-github-hashicorp-go-immutable-radix-devel, golang-
     github-xorm-devel, golang-github-dimchansky-utfbom-devel, golang-
     github-anmitsu-shlex-devel, golang-github-juju-ratelimit-devel,
     golang-github-inconshreveable-mousetrap-devel, golang-github-
     hashicorp-memberlist-devel, golang-github-cosiner-argv-devel, golang-
     github-hashicorp-go-sockaddr-devel, golang-github-dgnorton-goback-
     devel, golang-github-glycerine-unsnap-stream-devel, golang-github-
     zyedidia-pty-devel, golang-github-golang-groupcache-devel, golang-
     github-hashicorp-go-msgpack-devel, golang-github-howeyc-gopass-devel,
     golang-github-yudai-golcs-devel, golang-github-mattn-go-sqlite3-devel,
     golang-github-Masterminds-semver-devel, golang-github-freetype-devel,
     golang-github-jmhodges-levigo-devel, golang-github-kimor79-gollectd-
     devel, glide-devel, golang-github-davecgh-go-spew-devel, golang-
     github-macaron-session-devel, golang-github-go-ini-ini-devel, golang-
     github-shurcool-home-devel, golang-github-golang-glog-devel, golang-
     github-alecthomas-units-devel, golang-github-tarm-serial-devel,
     golang-github-google-gopacket-devel, golang-github-prometheus-
     client_model-devel, golang-github-hashicorp-hil-devel, golang-github-
     rfjakob-eme-devel, golang-github-philhofer-fwd-devel, golang-github-
     neelance-sourcemap-devel, golang-github-hawkular-hawkular-client-go-
     devel, golang-github-mattn-go-colorable-devel, golang-github-bradfitz-
     http2-devel, golang-github-boltdb-bolt-devel, golang-github-
     jedisct1-dlog-devel, golang-github-vividcortex-mysqlerr-devel, golang-
     github-dsnet-golib-devel, golang-github-hashicorp-scada-client-devel,
     golang-github-lib-pq-devel, golang-github-shurcool-webdavfs-devel,
     golang-github-AudriusButkevicius-go-nat-pmp-devel, golang-github-
     BurntSushi-graphics-go-devel, golang-github-cespare-xxhash-devel,
     golang-github-armon-circbuf-devel, golang-github-yudai-gojsondiff-
     devel, golang-github-zyedidia-clipboard-devel, golang-github-
     tv42-httpunix-devel, golang-github-coreos-pkg-devel, golang-github-
     nicksnyder-i18n-devel, golang-github-mattn-shellwords-devel, golang-
     github-dustin-go-humanize-devel, golang-github-ovh-devel, golang-
     github-onsi-gomega-devel, golang-github-shurcool-frontend-devel,
     golang-github-circonus-labs-circonusllhist-devel, syncthing-devel,
     golang-github-karlseguin-ccache-devel, golang-github-willf-bitset-
     devel, golang-github-nfnt-resize-devel, golang-github-oschwald-
     maxminddb-golang-devel, golang-github-rican7-retry-devel, golang-
     github-matttproud-golang_protobuf_extensions-devel, golang-github-
     gosimple-slug-devel, golang-github-10gen-openssl-devel, golang-github-
     minio-sha256-simd-devel, golang-github-3rf-mongo-lint-devel, etcd-
     devel, golang-github-facebookarchive-inject-devel, golang-github-
     chzyer-test-devel, golang-github-racker-perigee-devel, golang-github-
     exoscale-egoscale-devel, golang-github-hako-durafmt-devel, golang-
     github-Azure-azure-sdk-for-go-devel, golang-github-mattn-go-isatty-
     devel, golang-github-hashicorp-serf-devel, golang-github-opentracing-
     devel, golang-github-stack-devel, golang-github-keybase-go-crypto-
     devel, golang-github-coreos-go-oidc-devel, golang-github-gorilla-
     sessions-devel, golang-github-shurcool-htmlg-devel, golang-github-
     alecthomas-template-devel, golang-github-armon-go-proxyproto-devel,
     golang-github-spf13-afero-devel, golang-github-tdewolff-parse-devel,
     golang-github-vividcortex-godaemon-devel, golang-github-bugsnag-
     panicwrap-devel, golang-github-posener-complete-devel, golang-github-
     k-sone-critbitgo-devel, golang-github-google-btree-devel, golang-
     github-godbus-dbus-devel, golang-github-miekg-pkcs11-devel, golang-
     github-MakeNowJust-heredoc-devel, golang-github-alecthomas-chroma-
     devel, golang-github-armon-go-radix-devel, golang-github-oklog-run-
     devel, golang-github-DataDog-datadog-go-devel, golang-github-
     spf13-jwalterweatherman-devel, golang-github-nrdcg-auroradns-devel,
     golang-github-microcosm-cc-bluemonday-devel, golang-github-asaskevich-
     govalidator-devel, golang-github-jtolds-gls-devel, golang-github-
     codahale-hdrhistogram-devel, golang-googlecode-goprotobuf-devel,
     golang-github-census-instrumentation-opencensus-proto-devel, golang-
     github-google-uuid-devel, golang-github-redis-v2-devel, golang-github-
     bkaradzic-go-lz4-devel, golang-github-okzk-sdnotify-devel, golang-
     gopkg-yaml-devel-v2, golang-github-kardianos-service-devel, golang-
     github-tdewolff-test-devel, golang-github-shopspring-decimal-devel,
     golang-github-pascaldekloe-goe-devel, golang-github-ugorji-go-devel,
     golang-github-julienschmidt-httprouter-devel, golang-github-hashicorp-
     net-rpc-msgpackrpc-devel, golang-github-kardianos-osext-devel, golang-
     github-zyedidia-terminal-devel, golang-github-nightlyone-lockfile-
     devel, golang-github-jessevdk-go-flags-devel, golang-github-
     facebookarchive-structtag-devel, golang-github-denverdino-aliyungo-
     devel, golang-github-thejerf-suture-devel, golang-github-mistifyio-go-
     zfs-devel, golang-github-pelletier-go-buffruneio-devel, golang-github-
     linuxdeepin-go-x11-client-devel, golang-github-shurcool-reactions-
     devel, golang-github-jedisct1-xsecretbox-devel, golang-github-
     bufio-v1-devel, golang-github-gorilla-mux-devel, golang-github-
     magiconair-properties-devel, golang-github-petermattis-goid-devel,
     golang-github-pelletier-go-toml-devel, golang-github-codegangsta-cli-
     devel, golang-github-mitchellh-hashstructure-devel, golang-github-
     eapache-go-resiliency-devel, golang-github-alecthomas-repr-devel,
     golang-github-anacrolix-envpprof-devel, golang-github-digitalocean-
     godo-devel, golang-github-ghodss-yaml-devel, golang-github-googleapis-
     gax-devel, golang-github-ianlancetaylor-demangle-devel, golang-github-
     docopt-devel, golang-github-bep-debounce-devel, golang-github-
     tdewolff-minify-devel, golang-github-bmizerany-assert-devel, golang-
     github-emicklei-go-restful-devel, golang-github-google-go-querystring-
     devel, golang-github-ajstarks-svgo-devel, golang-github-alecthomas-
     colour-devel, golang-github-dvsekhvalnov-jose2go-devel, golang-github-
     krolaw-dhcp4-devel, golang-github-rogpeppe-fastuuid-devel, golang-
     github-pengsrc-shared-devel, golang-github-peterh-liner-devel, golang-
     github-tg-gosortmap-devel, golang-github-BurntSushi-xgb-devel, golang-
     github-hashicorp-go-syslog-devel, golang-github-yunify-qingstor-sdk-
     devel, golang-github-abbot-go-http-auth-devel, golang-github-cryptix-
     wav-devel, golang-github-denisenkom-go-mssqldb-devel, golang-github-
     gengo-grpc-gateway-devel, golang-github-chaseadamsio-goorgeous-devel,
     golang-github-neelance-astrewrite-devel, golang-github-mxk-go-
     flowrate-devel, golang-github-go-sql-driver-mysql-devel, golang-
     github-ncw-acd-devel, golang-github-satori-uuid-devel, golang-github-
     beevik-ntp-devel, golang-github-bradfitz-smtpd-devel, golang-github-
     kr-fs-devel, golang-github-gdamore-encoding-devel, golang-github-
     jedisct1-dnsstamps-devel, golang-github-smartystreets-assertions-
     devel, golang-github-samalba-dockerclient-devel, golang-github-
     shurcool-markdownfmt-devel, dep-devel, golang-github-ldap-v3-devel,
     golang-github-bruth-assert-devel, golang-github-hashicorp-logutils-
     devel, golang-github-chmduquesne-rollinghash-devel, golang-github-
     xorm-core-devel, golang-github-shurcool-devel, golang-github-
     BurntSushi-toml-devel, golang-github-stretchr-testify-devel, golang-
     github-t3rm1n4l-go-mega-devel, golang-github-hashicorp-mdns-devel,
     golang-github-buger-jsonparser-devel, golang-github-coreos-go-semver-
     devel, golang-github-hashicorp-consul-migrate-devel, golang-github-
     dsnet-compress-devel, golang-github-libgit2-git2go-devel, golang-
     github-sourcegraph-annotate-devel, golang-github-elithrar-simple-
     scrypt-devel, golang-github-tinylib-msgp-devel, golang-github-sevlyar-
     daemon-devel, golang-github-inconshreveable-muxado-devel, golang-
     github-prometheus-procfs-devel, golang-github-gorilla-securecookie-
     devel, golang-github-spf13-viper-devel, golang-github-cloudfoundry-
     incubator-candiedyaml-devel, golang-github-apache-thrift-devel,
     golang-github-transip-gotransip-devel, golang-github-facebookgo-
     atomicfile-devel, golang-github-miekg-dns-devel, golang-github-fatih-
     color-devel, golang-github-grpc-ecosystem-grpc-gateway-devel, golang-
     github-armon-go-metrics-devel, golang-github-vitrun-qart-devel,
     golang-github-a8m-tree-devel, golang-github-aclements-moremath-devel,
     golang-github-mitchellh-go-homedir-devel, golang-github-azure-storage-
     blob-devel, golang-github-mdlayher-netlink-devel, golang-github-
     google-martian-devel, golang-github-ryszard-goskiplist-devel, golang-
     github-kylelemons-godebug-devel, golang-github-mdlayher-genetlink-
     devel, golang-github-gonum-matrix-devel, golang-github-google-pprof-
     devel, golang-github-hashicorp-go-checkpoint-devel, golang-github-
     kdar-factorlog-devel, golang-github-shirou-gopsutil-devel, golang-
     github-tambet-asana-devel, golang-github-agl-ed25519-devel, golang-
     github-calmh-du-devel, golang-github-bmizerany-pat-devel, golang-
     github-dchest-safefile-devel, golang-github-shurcool-flavored-
     markdown-devel, golang-github-git-lfs-gitobj-devel, golang-github-
     Jeffail-gabs-devel, golang-github-briandowns-spinner-devel, golang-
     github-cosmos72-gomacro-devel, golang-github-hashicorp-go-
     retryablehttp-devel, golang-github-hashicorp-go-cleanhttp-devel,
     golang-github-d2g-dhcp4client-devel, golang-github-kurin-blazer-devel,
     golang-github-spacemonkeygo-spacelog-devel, golang-github-marstr-
     collection-devel, golang-github-nsf-termbox-devel, golang-github-
     opendns-vegadns2client-devel, golang-github-bmizerany-perks-devel,
     golang-github-koofr-koofrclient-devel, golang-github-influxdb-gomdb-
     devel, golang-github-jinzhu-now-devel, golang-github-bgentry-go-netrc-
     devel, golang-github-kr-pretty-devel, golang-github-alexcesaro-
     quotedprintable-v3-devel, golang-github-shurcool-highlight-diff-devel,
     golang-github-src-d-gcfg-devel, golang-github-anacrolix-missinggo-
     devel, golang-github-jbenet-context-devel, golang-github-pkg-errors-
     devel, golang-github-sergi-go-diff-devel, golang-github-djherbis-
     times-devel, golang-github-alcortesm-tgz-devel, golang-github-
     googlecloudplatform-cloudsql-proxy-devel, golang-github-google-go-cmp-
     devel, golang-github-google-go-github-devel, golang-github-fogleman-
     gg-devel, golang-github-shurcool-issuesapp-devel, golang-github-
     spf13-pflag-devel, golang-github-d2g-dhcp4-devel, golang-github-
     huandu-xstrings-devel, golang-github-thorduri-libusb-devel, golang-
     github-shurcool-httpfs-devel, golang-github-git-lfs-netrc-devel,
     golang-github-soheilhy-cmux-devel, golang-github-gonum-blas-devel,
     golang-github-klauspost-crc32-devel, golang-github-aead-
     poly1305-devel, golang-github-go-ldap-ldap-devel, golang-github-
     coreos-go-log-devel, golang-github-git-time-metric-gtm-devel, golang-
     github-mattn-go-runewidth-devel, golang-github-shurcool-issues-devel,
     golang-github-karlseguin-expect-devel, golang-github-dgrijalva-jwt-go-
     devel, golang-github-smartystreets-goconvey-devel, golang-github-
     macaron-binding-devel, golang-github-mschoch-smat-devel, golang-
     github-xanzy-ssh-agent-devel, golang-github-hashicorp-go-memdb-devel,
     golang-github-circonus-labs-circonus-gometrics-devel, golang-github-
     sasha-s-go-deadlock-devel, golang-github-mitchellh-mapstructure-devel,
     golang-github-spf13-cast-devel, golang-github-ulikunitz-xz-devel,
     golang-github-delve-devel, golang-github-gorilla-websocket-devel,
     golang-github-spf13-cobra-devel, golang-github-hashicorp-yamux-devel,
     golang-github-klauspost-compress-devel),
     /usr/share/gocode/src/github.com/Masterminds(glide-devel, golang-
     github-Masterminds-vcs-devel, golang-github-Masterminds-semver-devel),
     /usr/share/gocode/src/github.com/Masterminds/semver(golang-github-
     Masterminds-semver-devel)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-masterminds-semver-1-devel-1.4.2-1.fc31.x86_64.rpm
          golang-github-masterminds-semver-1-1.4.2-1.fc31.src.rpm
golang-github-masterminds-semver-1-devel.x86_64: W: hidden-file-or-dir /usr/share/gocode/src/github.com/Masterminds/semver/.goipath
golang-github-masterminds-semver-1.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "cs_CZ.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "cs_CZ.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "cs_CZ.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
golang-github-masterminds-semver-1-devel.x86_64: W: invalid-url URL: https://github.com/Masterminds/semver <urlopen error [Errno -2] Name or service not known>
golang-github-masterminds-semver-1-devel.x86_64: W: hidden-file-or-dir /usr/share/gocode/src/github.com/Masterminds/semver/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/Masterminds/semver/archive/v1.4.2.tar.gz#/semver-1.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : 13532037b53099292eca94fffba355f2399284b5f7b5c9cb7d9d4fce760336dd
  CHECKSUM(SHA256) upstream package : 13532037b53099292eca94fffba355f2399284b5f7b5c9cb7d9d4fce760336dd


Requires
--------
golang-github-masterminds-semver-1-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-masterminds-semver-1-devel:
    golang(github.com/Masterminds/semver)
    golang-github-masterminds-semver-1-devel
    golang-github-masterminds-semver-1-devel(x86-64)
    golang-ipath(github.com/Masterminds/semver)



Generated by fedora-review 0.7.0 (fed5495) last change: 2019-03-17
Command line :try-fedora-review -b 1695371 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Ruby, Perl, fonts, Ocaml, Python, C/C++, Haskell, PHP, R, SugarActivity, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 6 Gwyn Ciesla 2019-04-03 13:32:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-masterminds-semver-1

Comment 7 Fedora Update System 2019-04-03 15:53:49 UTC
golang-github-masterminds-semver-1-1.4.2-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ce21219a5b

Comment 8 Fedora Update System 2019-04-03 16:07:34 UTC
golang-github-masterminds-semver-1-1.4.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8cb0caccf3

Comment 9 Fedora Update System 2019-04-04 01:59:41 UTC
golang-github-masterminds-semver-1-1.4.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ce21219a5b

Comment 10 Fedora Update System 2019-04-04 04:24:55 UTC
golang-github-masterminds-semver-1-1.4.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8cb0caccf3

Comment 11 Fedora Update System 2019-04-13 00:03:24 UTC
golang-github-masterminds-semver-1-1.4.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-13 15:32:19 UTC
golang-github-masterminds-semver-1-1.4.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.